.page {
    overflow: visible;
}
.h_top {
    transform: translateY(-100%);
}
.quick_menu {
    transform: translateX(100%);
}
.m_btm {
    transform: translateY(100%);
}

.black_bg {
    width: 100%;
    height: 100svh;
    background-color: var(--gray-700);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
}

/*-- sec_box --*/
.sec_name {
    margin-bottom: 80px;
    font-family: var(--eng-family);
    font-weight: var(--semi-bold);
    color: var(--gray-400);
}
.sec_title {
    white-space: normal;
}
.sec_title,
.sec_title span {
    font-size: 100px;
    font-family: var(--eng-family);
    font-weight: var(--medium);
    color: var(--gray-700);
}
.sec_title div {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.sec_box.text-center .sec_title div {
    align-items: center;
}
.sec_title span {
    display: block;
    transform: translate(0%, 100%) rotate(7deg);
    opacity: 0;
}
.sec_title div.opacity {
    opacity: .4;
}
.sec_text {
    margin-top: 80px;
    font-size: var(--ft18);
    font-weight: var(--medium);
    color: var(--gray-500);
}

.sec_box.white * {
    color: var(--white);
}
.sec_box.white .sec_name {
    opacity: .6;
}

/*-- home_menu --*/
.home_menu {
    width: fit-content;
    padding: 15px 32px;
    border-radius: 10px;
    background-color: var(--gray-200);
    display: flex;
    align-items: center;
    gap: 36px;
    position: fixed;
    bottom: 40px;
    left: 0;
    right: 0;
    margin: 0 auto;
    z-index: 2;
    transform: translateY(calc(100% + 40px));
    transition: transform .8s var(--cubic);
}
.home_menu.show {
    transform: translateY(0);
}
.home_menu li {
    font-family: var(--eng-family);
    font-size: var(--ft18);
    font-weight: var(--medium);
    color: var(--gray-700);
    opacity: .4;
    transition: opacity .4s var(--cubic);
    cursor: pointer;
    position: relative;
}
.home_menu li::before {
    content: '';
    display: block;
    width: 100%;
    height: 2px;
    background-color: var(--gray-500);
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%) scaleX(0);
    transition: transform .4s var(--cubic);
}
.home_menu li.active {
    opacity: 1;
}
.home_menu li:hover::before {
    transform: translateY(-50%) scaleX(1);
}

/*----------------------------- sec1 -----------------------------*/
.sec1 {
    width: 100%;
    height: 180svh;
    background-color: var(--gray-700);
}

/*-- sec1_1 --*/
.sec1_1 {
    width: 100%;
    height: 100svh;
    position: fixed;
    top: 0;
    z-index: -1;
    background-color: var(--gray-700);
}
.sec_wrap {
    width: 100%;
    height: 100%;
}
.main_swiper {
    width: 100%;
    height: 100%;
    overflow: hidden;
    opacity: 0;
}
.main_swiper .swiper-slide {
    width: 100%;
    height: 100%;
}
.main_img {
    width: 100%;
    height: 100%;
}

.sec1_1 .sec_inner {
    width: 100%;
    height: 100%;
    background-color: var(--black-500);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    pointer-events: none;
}
.sec1_1 .sec_inner > div {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.main_logo {
    width: 600px;
    position: relative;
    transform: scale(1.2) translateX(-6%);
    position: absolute;
}
.logo_svg path {
    fill: var(--white-100);
    stroke-width: 1px;
    stroke: var(--white-200);
}
.loading_percent {
    width: 100%;
    height: 100%;
    mask-image: url(/images/logo.svg);
    mask-repeat: no-repeat;
    mask-size: 100%;
    mask-position: center center;
    position: absolute;
    top: 0;
    left: 0;
}
.percent_bg {
    width: 100%;
    height: 100%;
    opacity: .1;
}
.loading_percent .percent {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateX(-100%);
    background-color: var(--white);
}
.logo_text {
    position: absolute;
    top: -4%;
    left: 80%;
    white-space: normal;
}
.logo_text,
.logo_text span {
    font-size: var(--ft50);
    font-weight: var(--medium);
    color: var(--white);
}
.logo_text div {
    overflow: hidden;
}
.logo_text span {
    display: block;
    opacity: 0;
    transform: translate(0%, 50%) rotate(7deg);
}


.sec1_btm {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: end;
    position: absolute;
    left: 0;
    bottom: 60px;
    z-index: 1;
    opacity: 0;
    transform: translateY(20px);
}
.swiper_box_wrap {
    display: flex;
    align-items: center;
    gap: 10px;
    pointer-events: all;
}
.swiper_btn {
    width: 50px;
    height: 50px;
    border-radius: var(--radius-md);
    background-color: var(--white-100);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.swiper_btn img {
    width: 14px;
    height: 14px;
}
.swiper_box {
    height: 50px;
    padding: 0 30px;
    border-radius: var(--radius-md);
    background-color: var(--white-100);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    display: flex;
    align-items: center;
    gap: 40px;
}
.swiper_num {
    width: 80px;
    display: flex;
    gap: 6px;
}
.swiper_num,
.swiper_num * {
    font-size: var(--ft18);
    font-weight: var(--medium);
    color: var(--white-400);
}
.swiper_num .swiper-pagination-current {
    color: var(--white);
}
.swiper_pagination {
    width: 180px;
    height: 1px;
    position: relative;
    background-color: var(--white-400);
}
.swiper_pagination .swiper-scrollbar-drag {
    background-color: var(--white);
}

/*-- sec1_2 --*/
.sec1_2 {
    margin-top: 100svh;
    width: 100%;
    height: 100svh;
    position: sticky;
    z-index: 1;
    top: 0;
    left: 0;
}
.sec_bg {
    width: 100%;
    height: 100%;
    overflow: hidden;
}
.sec_bg img {
    transform: translateY(-33%) scale(1.2);
}
.sec1_2 .sec_inner {
    width: 100%;
    height: 100%;
    padding: 0 20px;
    background-color: var(--black-500);
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}
.main_title,
.main_title span {
    font-size: var(--ft60);
    font-weight: var(--semi-bold);
    text-align: center;
    color: var(--white-400);
    background: linear-gradient(to right, var(--white), var(--white)) no-repeat;
    -webkit-background-clip: text;
    background-clip: text;
    background-size: 0%;
}

/*----------------------------- sec2 -----------------------------*/
.sec2 {
    z-index: 1;
    margin-top: -20vh;
}
.sec2_inner {
    padding: 200px 0 0;
    background-color: var(--gray-100);
    border-radius: 80px;
    overflow: hidden;
    transform: translateY(20vh);
}

/*-- car_box --*/
.car_box {
    padding-top: 120px;
    position: relative;
}
.car_img {
    width: 100%;
    max-width: 1500px;
    margin: 0 auto;
}
.car_img img {
    transform: translateX(-50%);
}
.car_info_list {
    width: 100%;
    padding: 0 40px;
}
.car_info {
    width: 400px;
    position: relative;
    transform: scale(0);
    position: absolute;
    top: 0;
    right: 50px;
    transform-origin: left bottom;
}
.car_info::before {
    content: '';
    display: block;
    width: 50px;
    height: 50px;
    background: url(/images/plus_btn.svg) no-repeat center/contain;
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translate(-70%, 70%) scaleX(-1);
}
.car_info_link {
    width: 100%;
    height: 60px;
    padding-left: 40px;
    padding-right: 20px;
    border-radius: var(--radius-md);
    background-color: var(--white);
}
.car_info_link a {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.car_info_link p {
    font-size: var(--ft20);
    font-weight: var(--semi-bold);
}
.car_info_link .link {
    width: 20px;
    height: 20px;
    flex-shrink: 0;
    position: relative;
    overflow: hidden;
}
.car_info_link .link img {
    transition: transform .4s var(--cubic);
}
.car_info_link .link img:last-child {
    transform: translate(-100%, 100%);
    position: absolute;
    top: 0;
    left: 0;
}
.car_info_link:hover .link img:first-child {
    transform: translate(100%, -100%);
}
.car_info_link:hover .link img:last-child {
    transform: translate(0, 0);
}
.car_info_box {
    width: 100%;
    margin-top: 10px;
    padding: 20px;
    border-radius: var(--radius-md);
    background-color: var(--white);
}
.car_info_box p {
    padding: 20px;
}
.car_info_img {
    width: 100%;
    height: 120px;
    display: flex;
    gap: 10px;
}
.car_info_img img {
    border-radius: 10px;
}


/*-- about_box --*/
.about_box {
    width: 100%;
    margin-top: -130px;
    padding: var(--sec-gap) 80px;
    background-color: var(--white);
}
.about_box .sec_box.flex {
    display: flex;
    align-items: end;
    gap: 150px;
}
.sec_title.about_title,
.sec_title.about_title span {
    font-size: var(--ft60);
}
.about_text {
    font-size: var(--ft18);
    color: var(--gray-500);
}
.about_text strong {
    font-weight: var(--semi-bold);
    color: var(--primary);
}
.about_info {
    margin-top: 100px;
    border-top: 1px solid var(--gray-600);
}
.about_info li {
    width: 100%;
    height: 80px;
    border-bottom: 1px solid var(--dark-line);
    display: flex;
    align-items: center;
    gap: 80px;
    transform: translateY(-20px);
    opacity: 0;
}
.about_info_num {
    width: 70px;
    font-weight: var(--semi-bold);
    color: var(--gray-400);
    flex-shrink: 0;
}
.about_info_title {
    width: 320px;
    font-size: var(--ft18);
    font-weight: var(--medium);
    flex-shrink: 0;
}
.about_info_text {
    color: var(--gray-500);
}

/*----------------------------- sec3 -----------------------------*/
.sec3 {
    position: relative;
    overflow: hidden;
}
.ppf_bg {
    width: 100%;
    padding-top: var(--sec-gap);
    background: url(/images/ppf_bg.png) no-repeat center/cover;
    border-radius: 0 0 80px 80px;
    position: relative;
    z-index: 1;
}
.sec3 .sec_box.flex {
    display: flex;
    justify-content: space-between;
    align-items: start;
}

/*-- ppf_wrap --*/
.ppf_wrap {
    width: 100%;
    height: 100vh;
    margin-top: 100px;
    border-top: 1px solid var(--white-200);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}
.ppf_container {
    width: 100%;
    height: 100%;
    max-width: 1200px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.ppf_container_inner {
    width: 100%;
    position: relative;
    user-select: none;
    transform: scale(0.8);
    opacity: 0;
}
.car_img.hide {
    width: 100%;
    opacity: 0;
}
.ppf_before_wrapper  {
    width: 50%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
}
.ppf_before_wrapper .ppf_before {
    object-position: left;
}
.ppf_after_wrapper {
    width: 50%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    overflow: hidden;
}
.ppf_after_wrapper .ppf_after {
    object-position: right;
}

.ppf_control {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 50%;
    top: 0;
    transform: translateX(-50%);
    z-index: 1;
    cursor: ew-resize;
    user-select: none;
}
.control_line {
    width: 1px;
    height: 100%;
    background-color: var(--white-400);
    position: absolute;
    top: 0;
}
.control_center {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    background-color: var(--white);
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.control_center img {
    width: 32px;
    height: 32px;
}
.control_text {
    padding: 10px 24px;
    border-radius: 40px;
    background-color: var(--primary);
    font-size: var(--ft16);
    font-weight: var(--medium);
    color: var(--white);
    position: absolute;
    bottom: 0;
    transform: translateY(calc(100% + 12px));
    text-wrap: nowrap;
    animation: text 1s alternate infinite;
    transition: opacity .4s ease;
}
@keyframes text {
    to {
        transform: translateY(calc(100% + 17px));
    }
}

.ppf_control.dragging .control_text {
    opacity: 0;
}

.ppf_wrap_btm {
    width: 100%;
    padding: 0 120px;
    position: absolute;
    bottom: 80px;
    display: flex;
    justify-content: space-between;
    z-index: 2;
}
.ppf_btm_box {
    padding: 20px;
    border-radius: var(--radius);
    background-color: var(--white-100);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    display: flex;
    align-items: center;
    gap: 20px;
    opacity: 0;
}
.ppf_btm_box:first-child {
    transform: translate(-20%, 20%);
}
.ppf_btm_box:last-child {
    transform: translate(20%, 20%);
}
.ppf_btm_box:last-child * {
    text-align: right;
}
.ppf_btm_img {
    width: 60px;
    height: 60px;
    border-radius: 12px;
    overflow: hidden;
}
.ppf_btm_title {
    margin-bottom: 10px;
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    color: var(--white);
}
.ppf_btm_text {
    font-weight: var(--medium);
    color: var(--white);
}

/*-- ppf_info_box --*/
.ppf_info_box {
    overflow: hidden;
}
.ppf_top {
    margin-top: var(--sec-gap);
    display: flex;
    align-items: end;
}
.ppf_top .sec_title,
.ppf_top .sec_title span {
    font-size: var(--ft60);
}
.ppf_top .sec_title {
    width: 50%;
}
.ppf_top .sec_text {
    margin: 0;
}

.ppf_swiper {
    margin-top: 120px;
    position: relative;
}
.ppf_box {
    width: 100%;
}
.swiper-backface-hidden .swiper-slide.ppf_box {
    opacity: 0;
    transform: translateX(-30px);
}
.ppf_img {
    width: 100%;
    height: 660px;
    border-radius: var(--radius);
    overflow: hidden;
    position: relative;
}
.ppf_img::before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    background-color: var(--black-100);
    position: absolute;
    top: 0;
    left: 0;
}
.ppf_btm {
    padding-bottom: 50px;
    margin-top: 40px;
    border-bottom: 1px solid var(--white-300);
    display: flex;
    align-items: start;
    gap: 100px;
}
.ppf_title {
    display: flex;
    align-items: center;
    gap: 20px;
}
.title_kr {
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    color: var(--white);
    padding: 8px 16px;
    border-radius: 8px;
    background-color: var(--white-100);
    flex-shrink: 0;
}
.title_eng {
    font-size: var(--ft28);
    font-weight: var(--semi-bold);
    color: var(--white);
}
.ppf_text {
    font-size: var(--ft18);
    color: var(--white);
}


/*----------------------------- sec4 -----------------------------*/
.sec4 {
    padding: var(--sec-gap) 0;
    position: relative;
    overflow: hidden;
}
.sec4::before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    background: url(/images/product_bg.png) no-repeat center/cover;
    position: absolute;
    top: 0;
    left: 0;
}

/*-- product_swiper --*/
.product_wrap {
    padding: 0 20px;
}
.product_swiper {
    margin-top: 160px;
}
.product_swiper .swiper_pagination {
    margin: 40px auto 0;
}
.product_box {
    transform: translateY(20px);
    opacity: 0;
}

/*----------------------------- sec5 -----------------------------*/
.white_bg {
    padding: var(--sec-gap) 0;
    border-radius: 80px;
    background-color: var(--gray-100);
    overflow: hidden;
}

/*-- case_swiper --*/
.case_swiper {
    margin-top: 140px;
    display: flex;
    flex-wrap: nowrap;
    opacity: 0;
    transform: translateY(20px);
}
.case_box {
    width: 100%;
    border-radius: var(--radius);
    background-color: var(--white);
    transition: background .4s var(--cubic), box-shadow .4s var(--cubic), transform .4s var(--cubic);
}
.case_box a {
    padding: 50px 40px 40px;
}
.case_name {
    width: fit-content;
    font-size: var(--ft14);
    font-weight: var(--semi-bold);
    color: var(--white);
    padding: 8px 16px;
    border-radius: 8px;
    background-color: var(--primary);
}
.case_title {
    margin-top: 20px;
    margin-bottom: 12px;
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
}
.case_date {
    font-size: var(--ft14);
    color: var(--gray-400);
}
.case_img {
    margin-top: 28px;
    width: 100%;
    aspect-ratio: 16 / 9;
    border-radius: var(--radius-md);
    overflow: hidden;
}
.case_box:hover {
    background-color: #D1CAD0;
    box-shadow: 0 4px 20px 0 rgba(74, 39, 72, 0.10);
    transform: translateY(-30px);
}

/*----------------------------- sec6 -----------------------------*/
.sec6 {
    margin-top: var(--sec-gap);
    padding-top: var(--sec-gap);
    border-top: 1px solid var(--gray-400);
}

/*-- news_list --*/
.news_list {
    margin-top: 100px;
}
.news_box {
    background-color: var(--white);
    transform: translateY(-20px);
    opacity: 0;
} 
.news_date {
    background-color: var(--gray-100);
}
.news_date span:first-child {
    color: var(--gray-400);
}
.news_date span:last-child {
    color: var(--gray-500);
}
.news_title {
    color: var(--gray-700);
}

@media all and (max-width: 1800px) {
    /*-- sec1 -*/
    .sec1_btm {
        width: calc(100% - 120px);
        left: 60px;
    }
}

@media all and (max-width: 1600px) {
    /*-- sec_box --*/
    .sec_name {
        margin-bottom: 50px;
    }
    .sec_text {
        margin-top: 50px;
    }
    .sec_title, 
    .sec_title span {
        font-size: 80px;
    }

    /*-- sec1 --*/
    .main_logo {
        width: 540px;
    }
    .logo_text, 
    .logo_text span {
        font-size: var(--ft40);
    }
    .main_title, 
    .main_title span {
        font-size: var(--ft50);
    }

    /*-- sec2 --*/
    .about_box {
        padding: var(--sec-gap) 60px;
    }
    .car_img {
        max-width: 1300px;
    }
    .about_box .sec_box.flex {
        flex-direction: column;
        align-items: start;
        gap: 40px;
    }
    .about_info {
        margin-top: 60px;
    }

    /*-- sec5 --*/
    .case_swiper {
        margin-top: 100px;
    }
}


@media all and (max-width: 1200px) {
    /*-- sec_box --*/
    .sec_title, 
    .sec_title span {
        font-size: var(--ft60);
    }

    /*-- sec1 --*/
    .sec1_btm {
        width: calc(100% - 80px);
        left: 40px;
    }
    .swiper_box {
        gap: 20px;
    }
    .swiper_btn {
        display: none;
    }

    /*-- sec2 --*/
    .sec2_inner {
        border-radius: 40px;
    }
    .about_box {
        padding: 140px 0 var(--sec-gap);
    }
    .car_img {
        max-width: 1000px;
    }
    .about_box .sec_box.flex {
        gap: 24px;
    }
    .sec_title.about_title, 
    .sec_title.about_title span {
        font-size: var(--ft40);
    }
    .about_info li {
        height: auto;
        padding: 16px 0;
        flex-direction: column;
        align-items: start;
        gap: 8px;
    }

    .car_box {
        padding-top: 60px;
    }
    .car_info {
        display: none;
    }

    /*-- sec5 --*/
    .white_bg {
        border-radius: 40px;
    }
    .case_swiper {
        margin-top: 80px;
    }
    .case_box a {
        padding: 40px 30px 30px;
    }

    /*-- sec6 --*/
    .news_list {
        margin-top: 60px;
    }
}

@media all and (max-width: 1024px) {
    /*-- sec_box --*/
    .sec_title, 
    .sec_title span {
        font-size: var(--ft50);
    }

    /*-- sec1 --*/
    .main_logo {
        width: 400px;
    }
    .logo_text,
    .logo_text span {
        font-size: var(--ft32);
    }

}

@media all and (max-width: 768px) {
    .home_menu {
        display: none;
    }

    /*-- sec_box --*/
    .sec_name {
        margin-bottom: 24px;
        font-size: var(--ft14);
    }
    .sec_title, 
    .sec_title span {
        font-size: var(--ft40);
    }
    .sec_text {
        margin-top: 24px;
        font-size: var(--ft16);
    }

    /*-- sec1 --*/
    .main_title, 
    .main_title span {
        font-size: var(--ft26);
    }
    .main_logo {
        width: 50%;
        max-width: 400px;
        min-width: 270px;
        transform: scale(1.1) translateY(-30px);
    }
    .logo_text {
        width: 100%;
        margin-top: 20px;
        top: 100%;
        left: 0;
        display: flex;
        justify-content: center;
        gap: 10px;
    }
    .logo_text div {
        flex-shrink: 0;
    }
    .logo_text,
    .logo_text span {
        font-size: var(--ft28);
    }
    .sec1_btm {
        width: calc(100% - 40px);
        left: 20px;
        bottom: 70px;
    }
    .swiper_box {
        height: auto;
        padding: 0px;
        flex-direction: column;
        align-items: start;
        gap: 10px;
        background: none;
        backdrop-filter: blur(0);
        -webkit-backdrop-filter: blur(0);
    }
    .swiper_num,
    .swiper_num * {
        font-size: var(--ft14);
    }
    .swiper_pagination {
        width: 120px;
    }


    /*-- sec2 --*/
    .sec2_inner {
        padding-top: 80px;
        border-radius: 20px;
    }
    .sec_title.about_title, 
    .sec_title.about_title span {
        font-size: var(--ft32);
    }
    .car_box {
        padding-top: 32px;
    }
    .about_box {
        margin-top: -50px;
        padding-top: 100px;
    }
    .about_text {
        font-size: var(--ft16);
    }

    /*-- sec3 --*/
    .product_swiper {
        margin-top: 40px;
    }

    /*-- sec4 --*/
    .product_list {
        margin-top: 40px;
    }
    
    /*-- sec5 --*/
    .white_bg {
        border-radius: 20px;
    }
    .case_swiper {
        margin-top: 40px;
    }
    .case_box a {
        padding: 32px 20px 20px;
    }
    .case_title {
        margin-top: 12px;
        margin-bottom: 6px;
    }
    .case_box:hover {
        background-color: var(--white);
        transform: translateX(0);
    }

    /*-- sec6 --*/
    .sec6 {
        border: none;
        padding-top: 0;
    }
    .news_list {
        margin-top: 40px;
    }

}